Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class AbstractLearner

    java.lang.Object
      org.joone.engine.AbstractLearner

All Implemented Interfaces:
  java.io.Serializable, Learner

Direct Known Subclasses:
  ExtendableLearner

    public abstract class AbstractLearner

extends java.lang.Object
implements Learner

This class provides some basic simple functionality that can be used (extended) by other learners.

Author:
  Boris Jansen
See Also:
  Serialized Form

Field Summary
`protected Learnable` | `learnable` The learnable, the object that is subjected to the learning process.
`protected LearnableLayer` | `learnableLayer` The layer (biases) that is subjected to the learning process.
`protected LearnableSynapse` | `learnableSynapse` The synapse (weights) that is subjected to the learning process.
`protected Monitor` | `monitor` The saved monitor object.

Constructor Summary
`AbstractLearner()` Creates a new instance of AbstractLearner

Method Summary
`LearnableLayer` | `getLayer()` Gets the layer the learner is associated with.
`Monitor` | `getMonitor()` Gets the monitor object.
`LearnableSynapse` | `getSynapse()` Gets the synapse the learner is associated with.
`void` | `registerLearnable(Learnable aLearnable)` Learnable makes itself known to the Learner, also the type of Learnable is checked.
`void` | `setMonitor(Monitor mon)` Override this method to get the needed parameters from the Monitor object passed as parameter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.joone.engine.Learner
`requestBiasUpdate, requestWeightUpdate`

Field Detail

### learnable

    protected Learnable learnable

  The learnable, the object that is subjected to the learning process.

### learnableLayer

    protected LearnableLayer learnableLayer

  The layer (biases) that is subjected to the learning process.

### learnableSynapse

    protected LearnableSynapse learnableSynapse

  The synapse (weights) that is subjected to the learning process.

### monitor

    protected Monitor monitor

  The saved monitor object.

Constructor Detail

### AbstractLearner

    public AbstractLearner()

  Creates a new instance of AbstractLearner

Method Detail

### registerLearnable

    public void registerLearnable(Learnable aLearnable)

  Learnable makes itself known to the Learner, also the type of Learnable is checked.

  Specified by:
    `registerLearnable` in interface `Learner`

### setMonitor

    public void setMonitor(Monitor mon)

  Override this method to get the needed parameters from the Monitor object passed as parameter

  Specified by:
    `setMonitor` in interface `Learner`

### getMonitor

    public Monitor getMonitor()

  Gets the monitor object.

  Returns:
    the monitor object.

### getLayer

    public LearnableLayer getLayer()

  Gets the layer the learner is associated with.

  Returns:
    the layer the learner is associated with.

### getSynapse

    public LearnableSynapse getSynapse()

  Gets the synapse the learner is associated with.

  Returns:
    the synapse the learner is associated wiht.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net